.\" $XConsortium: co-Xist.man,v 1.12 89/12/21 10:06:58 rws Exp $
.TH co-Xist 1 "Release 3.3" "X Version 11 Release 5"
.SH NAME
co-Xist \- X Version 11 Release 5 Window System for the NEXTSTEP
operating system
.SH SYNOPSIS
.B co-Xist
[ option ] ...
.SH DESCRIPTION
co-Xist(tm)
is for Version 11 Release 5 of the X Window System on NEXTSTEP 3.0 or higher.
The co-Xist X server runs locally within the NEXTSTEP environment.
X client applications can be run locally within NEXTSTEP, or they can be run
remotely on any system supporting the X Window System.
This manual page is just a summary.
For more information, check the co-Xist help documentation (co-Xist->Info->Help)
or read the manual (/NextLibrary/Documentation/co-Xist) using the
Digital Librarian.
.sp
.SH X/NEXTSTEP Integration Modes
.PP
co-Xist offers several modes in which it can interoperate with the NEXTSTEP
environment.
co-Xist can run within a single NEXTSTEP window (Rooted mode),
with multiple independent NEXTSTEP windows (Rootless mode),
or it can take over the screen (Take Over mode).
.sp
.SH "Rooted Mode"
.PP
In rooted mode (the default), co-Xist maps all windows created by X clients
inside a large window, which acts as the root window.
The windows are clipped by the root window.
.sp
.SH "Rootless Mode"
.PP
In rootless mode, each window created by an X client exists as a separate
window and can be manipulated without the constraint of the root window.
.sp
.SH "Accelerated Rootless Mode"
.PP
Accelerated Rootless mode increases the speed of the active (key) window by
two to three times.
Other windows on the screen are unaffected.
This mode is the default for Intel- and HP-based computers.
.sp
NOTE:
Accelerated Rootless Mode does not function on NeXTdimension systems
or systems running NEXTSTEP for Intel or HP.
.sp
Accelerated Rootless Mode causes the following behavior:
.sp
The key window remains on top of all other windows on the screen.
When you click on another application, the active window goes to the bottom
of the window tier.   
.sp
A modal panel (alert and message panels) can appear on top of the co-Xist key
window, possibly causing the modal panel to be overwritten.
.sp
.SH "Take Over Mode"
.PP
Take Over mode causes your co-Xist window to fill the screen and also
increases performance.
Your NEXTSTEP applications continue to run in the background.
Note that Take Over mode is run exclusive of the other co-Xist modes.
.sp
You can toggle between the co-Xist and NEXTSTEP windows by pressing the
COMMAND key and clicking the left mouse button.
Changing to NEXTSTEP puts the co-Xist screen in the background.
You can still use your X Windows applications;
however, performance is diminished.
.sp
To exit co-Xist when running in Take Over mode, you need to first toggle
to NEXTSTEP by pressing the COMMAND key and clicking the left mouse button.
Then select Quit from the main menu.
.sp
NOTES: 
If you have a NeXTdimension system, Take Over mode will operate only on
a greyscale monitor.
Both Take Over and Accelerated modes allow you to select only the Default
or 8-bit pseudo frame buffer depths.
For information on setting the screen depth, see section 2.3,
"Specifying Startup Preferences,"  in the co-Xist manual.
.sp
co-XistLinker will set up permissions on device /dev/vid0 to enable Take
Over mode (this is necessary for NeXT computers only).
.sp
.SH CONFIGURATIONS
.sp
.TP 8
.B \For NeXT Platforms:
co-Xist 3.3 for NeXT computers operates under NEXTSTEP 3.0 or higher.
It can run in the following modes:  2-bit greyscale, 8-bit greyscale,
8-bit pseudo-color, 16-bit true color, and 32-bit true color.
It can also run in monochrome mode, if needed.
.sp
.TP 8
.B \For Other Platforms:
co-Xist 3.3 for Intel or HP platforms operates under NEXTSTEP 3.2 or higher.
It can run in the following modes:  8-bit greyscale, 8-bit pseudo-color,
16-bit true color, and 32-bit true color.
Monochrome and 2-bit greyscale configurations are not supported.
.sp
.SH "STARTING THE SERVER"
.PP
We recommend that you dock the co-Xist icon and simply double-click on
the icon to start the co-Xist server.
Another alternative is to start co-Xist by running the startx client
(startx replaces xinit).
If you use startx to start co-Xist, please see Chapter 3 of the co-Xist
manual and the startx man page for more information.
.sp
.SH co-Xist PREFERENCES
.sp
The co-Xist Preferences Panel enables you to set up your co-Xist options easily.
It is already configured with appropriate defaults for your computer.
Note that for the changes you make in the Preferences Panel to take effect,
you need to restart co-Xist. 
.sp
To display the Preferences Panel, select Info then Preferences from the
co-Xist menu.
.sp
.SH PREFERENCES PANEL OPTIONS
.sp
.TP 8
.B \Root Display
You can specify the size of the co-Xist window by indicating its width
and height in pixels, and its offset x and y position from the bottom
left corner of the display.
Select the Full Screen button to make the window size equal the size of
your screen.
After typing a value, press the Tab key to move the cursor to the next field.
The window size values affect co-Xist only when running in rooted mode.
When running in rootless or Take Over mode, these values are ignored.
.sp
.TP 8
.B \Window Size
You can move or resize the sample window on the Preferences Panel by
dragging its borders like a regular NEXTSTEP window.
NOTE:
The window size values affect co-Xist only in rooted mode.
.sp
.TP 8
.B \Frame Buffer Depth
This field specifies the X Windows frame buffer depth of co-Xist.
The Default value for this option will match the frame buffer depth of
co-Xist with the frame buffer depth of the computer on which you run co-Xist.
You can override the default by selecting one of the frame buffer
depths in the list.
This option enables you to run different frame buffer depths on the
same machine.  
.sp
On NeXT machines, 2-bit greyscale is the fastest option.
Many X Windows applications are designed for a particular frame buffer
depth and do not behave correctly on other depths;
the 8-bit pseudo-color is the most likely option for such applications.
.TP 8
The parameters available for Frame Buffer Depth are:  
.sp
.br
default (matches the hardware frame buffer depth)
.br
mono (1-bit black and white; this is available for NeXT computers only)
.br
2-bit greyscale (standard for NeXTstation or Cube;
this is available for NeXT computers only)
.br
8-bit greyscale
.br
8-bit pseudo-color
.br
16-bit true color (standard for NeXTstation Color)
.br
32-bit true color (standard for NeXTdimension)
.sp
.PP
NOTE:
Some applications depend upon certain features of the X server.
You can run any Frame Buffer Depth on any computer running NEXTSTEP
version 3.0 or higher.
Note that some combinations of Frame Buffer Depth and actual machine
color depth may be slower than the default frame buffer depth.
When running in Accelerated Rootless or Take Over mode, you are allowed
to select only the default or 8-bit pseudo-color options.
.sp
.TP 8
.B \Rootless Options
The "Normal" switch causes co-Xist to run in rootless windows mode,
which means that each time an X Windows application starts,
a NEXTSTEP window is created for it and all of the application's output
is mapped to that NEXTSTEP window.
This feature allows each X Windows application to operate independently
in the NEXTSTEP environment.
Rootless is the default mode for co-Xist. 
.sp
The "Accelerated" switch causes co-Xist on NeXT computers to run in
Accelerated Rootless mode, which increases the speed of the active
(key) window by two to three times.
Other windows on the screen are unaffected.
See the description above for more information on this mode.
(Accelerated mode is the default mode for Intel-based computers.)  
.sp
The "NEXTSTEP Window Manager" switch causes co-Xist to put NEXTSTEP
windows around windows of the X application.
This feature enables you to perform operations like moving and resizing
X application windows in the same way you would the windows of a
NEXTSTEP application.
.sp
NOTES:
This mode is valid only in the rootless mode.
If you use this mode, you may need to disable any window manager
started in your .xinitrc file.
.sp
The "Take Over" switch causes your co-Xist window to fill the screen
and also increases performance.
Your NEXTSTEP applications continue to run in the background.
See the description above for more information on this mode.
.sp
.TP 8
.B \Third Button Time Delay
This field specifies the time delay (in milliseconds) that co-Xist
uses to interpret mouse button clicks.
The time delay is important because you may need to emulate a 3-button
mouse for some X applications;
to do so you would press the buttons on a 2-button mouse simultaneously.
However, the time delay must be long enough for co-Xist to interpret
the two clicks as simultaneous.
Remember to first enable the right mouse button using the NEXTSTEP
Preferences Application.
.sp
.TP 8 
.B \Additional Options
Fill in any options available for the .xserverrc file, such as -broadcast.
Note that if you give screen depth options here, such as -mono,
they will override the ones you specify in the Frame Buffer Depth field.
.sp
.TP 8
.B \CANCEL
Select this to quit the Preferences Panel without saving your changes.
.sp
.TP 8
.B \OK
Select OK to write your changes to the database in your home directory.
After selecting your preferences, you must quit and restart co-Xist for
your changes to take effect.
.sp
.SH OPTIONS
The following options are available for users who want to start co-Xist
via the startx command or the command line.
The startx script is a front end to xinit that provides a somewhat
friendlier user interface for running a single session of the X Window System.
It is typically run without arguments.
To determine which client and server to run, startx looks for an .xinitrc
and .xserverrc file in the user's home directory.
If these files are  not found, startx uses the xinitrc and xserverrc
files in the xinit library directory.
.sp
Command line client and server options can override this behavior.
See the startx(1) man page for more information.
See the xinit(1) man page and section 3.1.2 of the user manual for more
information on the .xinitrc file.
Also, a sample of the .xinitrc file is available in your home directory
if you have run the UserInstaller as described in the installation document.
.sp
.TP 8
.B \-depth
You can specify -depth to override the normal X window depth of co-Xist.
This option is necessary only if you are trying to match the requirements
of an application.
Specify -depth 2 (NeXT computers only) or -depth 8 for 8-bit greyscale or
pseudocolor (see "-pseudo" option below), -depth 16 for 16-bit true color
(NeXTstation Color), and -depth 32 for 32-bit true color (NeXT Dimension).
.sp
.TP 8
.B \-fastrootless
This option increases the speed of the active (key) window by two to
three times.
Other windows on the screen are unaffected.
This option applies to NeXT computers only; see the user manual section
for information on Accelerated Rootless mode. 
.sp
.TP 8
.B \-geometry, -geom, =
Specifies the size and starting location of the window in which co-Xist
will run in "rooted" or single window mode.
The size can be set only at startup time and cannot be modified after
co-Xist is started.
The location can be changed by dragging the window by it's title bar,
just like any other NEXTSTEP window.
You can use this option to set both the size and starting positions of
your window.
.sp
For example: 
.nf
%co-Xist -geometry 800x700+0+0 &
.fi
specifies a server window 800 pixels wide by 700 pixels high, and with
x and y offsets of 0.
.sp
.TP 8
.B \-mono
You may need to run the server in black and white monochrome mode,
instead of the default greyscale or color mode, if you are running clients
that do not support greyscale or truecolor.
.sp
.TP 8
.B \-pseudo
The -pseudo option is always 8-bit.
It can be used for applications that require the pseudo-color visual class.
However, this option is slower than co-Xist's standard options,
so avoid it when possible.
.sp
.TP 8
.B \-rootless
The -rootless option runs co-Xist in "rootless" windows mode, which means
that each time an X Windows application starts, a NEXTSTEP window is
created for it and all output is mapped to that NEXTSTEP window.
This option allows each X Windows application to operate independently in
the NEXTSTEP environment.
This is the default mode for co-Xist.
.sp
.TP 8
.B \-takeover
Specifying -takeover causes your co-Xist window to fill the screen and
increases performance.
Your NEXTSTEP applications continue to run in the background.
.sp
.TP 8
.B \-td [number]
This option specifies the time delay (in milli-seconds) that co-Xist
uses to interpret mouse button clicks.
The time delay is important because you may need to emulate a 3-button
mouse for some X applications; to do so, press both buttons on a
2-button mouse simultaneously.
However, the time delay must be long enough for co-Xist to interpret
the two clicks as simultaneous.
The default is 20 milliseconds.
.sp
.TP 8
.B \-usenextstep
This option causes co-Xist to put NEXTSTEP borders around the X
application's windows.
Doing so allows you to perform operations like moving and resizing on X
application windows the same way you would on NEXTSTEP application windows.
This option can be used with the Accelerated Rootless or Normal Rootless mode.
.sp
.SH ENVIRONMENT
.PP
Be sure to set the DISPLAY environment variable and to include /usr/bin/X11
in your path.
.sp
.SH APPLICATION LAUNCH PANEL
.sp
The Application Launch Panel lets you execute X Windows applications by
selecting a single menu option.
You can use this feature to specify the host system on which the X
application should run.
You can also specify certain applications to be automatically executed
when you start co-Xist.
The Applications menu contains two options:
.sp
.TP 8
.B List
Displays a list of all applications that you have previously specified.
You can launch any application in the list by clicking on it.
.sp
.TP 8
.B Edit
Select this to bring up the Launchable Applications panel.
From here you can add, edit, or delete from the list of applications.
.sp
.SH THE LAUNCHABLE APPLICATIONS PANEL
.sp
The Launchable Applications Panel contains the following options:
.sp
.TP 8
.B Add
After entering information in the Application Info area, click the Add
button to add the application to the list of Launchable Applications.
.sp
.TP 8
.B Update
Click to update the selected information.
.sp
.TP 8
.B Delete
Click to remove the selected information from the list.
.sp
.TP 8
.B Revert
Click to set the Application Info fields back to their original values.
.sp
.TP 8
.B Application Name
An application name that appears in the list of Launchable Applications.
.sp
.TP 8
.B Host
Fill in a remote host name if you want to launch applications from that
remote machine.
Leave it blank for the local host (your machine).
.sp
.TP 8
.B Command
The command to launch the application.
Fill in the absolute pathname of the application.
.sp
.TP 8
.B Auto Launch
Select the Auto Launch button for the application to be automatically
started when you start co-Xist.
.sp
NOTE:
All launchable application information is stored in the ~/.co-Xist.clients
text file.


.SH "SEE ALSO"
.PP
X(1), Xserver(1), xinit(1)
.SH BUGS
.sp
On Intel platforms, monochrome and 2-bit greyscale systems are not supported.
.sp
Cursors over 16x16 are not supported.
.sp
When running co-Xist, the swap file may sometimes consume all available
disk space.
You have to reboot to reclaim the disk space.
.sp
NEXTSTEP cursor disappears after quitting co-Xist if you launch co-Xist
in Take Over mode, switch to "Integrated" mode, leave co-Xist idle for
some time (generally two or more hours), then quit co-Xist.
.sp
Extraneous lines are drawn on the root window at the edges of some
transient windows or pixmaps.
.sp
co-Xist on NEXTSTEP 3.1 is not Supported for Intel Processors.
.sp
.SH AUTHORS
.TP 8
Pencom Software
.br
Chris Chauvin, Kari Karhi, Miles O'Neal,
.br
Bill Woodward, et al.
.TP 8
MIT Laboratory for Computer Science
.br
Bob Scheifler, Keith Packard, et al.
